Subject: Re: CCL:Deleting files

From: Konrad Hinsen <[email-masked]>
Date: Wed, 23 Jun 1999 16:50:24 +0200

> I need a program for Unix environment that would automatically delete all
> files in certain directories that are older then, i.e. last used longer then
> some time ago (for example 1 month). 

Unix already provides all you need:

   find directory -atime +30 -exec rm \{\} \;

I didn't test this, but you can easily check the details using "man
find" on your machine. "-atime +30" means "last accessed 30 or more
days ago".
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.55.69
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------